## ros-humble-admittance-controller 2.24.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(admittance_controller LANGUAGES CXX)

if(CMAKE_CXX_COMPILER_ID MATCHES "(GNU|Clang)")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(THIS_PACKAGE_INCLUDE_DEPENDS
  angles
  control_msgs
  control_toolbox
  controller_interface
  Eigen3
  generate_parameter_library
  geometry_msgs
  hardware_interface
  joint_trajectory_controller
  kinematics_interface
  pluginlib
  rclcpp
  rclcpp_lifecycle
  realtime_tools
  tf2
  tf2_eigen
  tf2_geometry_msgs
  tf2_kdl
  tf2_ros
  trajectory_msgs
)

find_package(ament_cmake REQUIRED)
find_package(backward_ros REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

generate_parameter_library(admittance_controller_parameters
  src/admittance_controller_parameters.yaml
)

add_library(admittance_controller SHARED
  src/admittance_controller.cpp
)
target_compile_features(admittance_controller PUBLIC cxx_std_17)
target_include_directories(admittance_controller PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/admittance_controller>
)
target_link_libraries(admittance_controller PUBLIC
  admittance_controller_parameters
)
ament_target_dependencies(admittance_controller PUBLIC ${THIS_PACKAGE_INCLUDE_DEPENDS})

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(admittance_controller PRIVATE "ADMITTANCE_CONTROLLER_BUILDING_DLL")

pluginlib_export_plugin_description_file(controller_interface admittance_controller.xml)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(controller_manager REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)

  # Dynamically loaded during test
  find_package(kinematics_interface_kdl REQUIRED)

  # test loading admittance controller
  add_rostest_with_parameters_gmock(test_load_admittance_controller
    test/test_load_admittance_controller.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/test/test_params.yaml
  )
  ament_target_dependencies(test_load_admittance_controller
    controller_manager
    hardware_interface
    ros2_control_test_assets
  )

  # test admittance controller function
  add_rostest_with_parameters_gmock(test_admittance_controller
    test/test_admittance_controller.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/test/test_params.yaml
  )
  target_link_libraries(test_admittance_controller admittance_controller)
  ament_target_dependencies(test_admittance_controller
    control_msgs
    controller_interface
    hardware_interface
    ros2_control_test_assets
  )
endif()

install(
  DIRECTORY include/
  DESTINATION include/admittance_controller
)

install(TARGETS admittance_controller admittance_controller_parameters
  EXPORT export_admittance_controller
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

ament_export_targets(export_admittance_controller HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_package()

=== debian/changelog ===
ros-humble-admittance-controller (2.24.0-1jammy) jammy; urgency=high

  * Activate AdmittanceControllerTestParameterizedInvalidParameters (#711 <https://github.com/ros-controls/ros2_controllers/issues/711>) (#733 <https://github.com/ros-controls/ros2_controllers/issues/733>)
  * Fix file name for include guard (backport #681 <https://github.com/ros-controls/ros2_controllers/issues/681>)
  * Fix out of bound access in admittance controller (#721 <https://github.com/ros-controls/ros2_controllers/issues/721>) (#722 <https://github.com/ros-controls/ros2_controllers/issues/722>)
  * Contributors: Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Sun, 06 Aug 2023 23:00:00 -0000

ros-humble-admittance-controller (2.23.0-1jammy) jammy; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>) (#677 <https://github.com/ros-controls/ros2_controllers/issues/677>)
  * Contributors: Bence Magyar

 -- Denis Štogl <denis@stogl.de>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-admittance-controller (2.22.0-1jammy) jammy; urgency=high

  * Docs: Use branch name substitution for all links (backport #618 <https://github.com/ros-controls/ros2_controllers/issues/618>) (#633 <https://github.com/ros-controls/ros2_controllers/issues/633>)
  * [JTC] Fix missing parameter deprecation warnings (#630 <https://github.com/ros-controls/ros2_controllers/issues/630>)
  * [Formatting] enable ReflowComments to also use ColumnLimit on comments   (#628 <https://github.com/ros-controls/ros2_controllers/issues/628>)
  * Contributors: Noel Jiménez García, Sai Kishor Kothakota, Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-admittance-controller (2.21.0-1jammy) jammy; urgency=high

  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>) (#617 <https://github.com/ros-controls/ros2_controllers/issues/617>)
  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>) (#605 <https://github.com/ros-controls/ros2_controllers/issues/605>)
  * Contributors: Felix Exner (fexner), Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Sat, 27 May 2023 23:00:00 -0000

ros-humble-admittance-controller (2.20.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Sat, 13 May 2023 23:00:00 -0000

ros-humble-admittance-controller (2.19.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Mon, 01 May 2023 23:00:00 -0000

ros-humble-admittance-controller (2.18.0-1jammy) jammy; urgency=high

  * Fix docs format (#591 <https://github.com/ros-controls/ros2_controllers/issues/591>)
  * Contributors: Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-admittance-controller (2.17.3-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-admittance-controller (2.17.2-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Tue, 07 Mar 2023 00:00:00 -0000

ros-humble-admittance-controller (2.17.1-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-admittance-controller (2.17.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Mon, 13 Feb 2023 00:00:00 -0000

ros-humble-admittance-controller (2.16.1-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-admittance-controller (2.16.0-1jammy) jammy; urgency=high

  * Add backward_ros to all controllers (#489 <https://github.com/ros-controls/ros2_controllers/issues/489>) (#493 <https://github.com/ros-controls/ros2_controllers/issues/493>)
  * Contributors: Bence Magyar

 -- Denis Štogl <denis@stogl.de>  Thu, 19 Jan 2023 00:00:00 -0000

ros-humble-admittance-controller (2.15.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Tue, 06 Dec 2022 00:00:00 -0000

ros-humble-admittance-controller (2.14.0-1jammy) jammy; urgency=high

  * Bring admittance_controller version up to speed
  * [AdmittanceController] Add missing dependecies for the tests (#465 <https://github.com/ros-controls/ros2_controllers/issues/465>)
    We need a concrete implementation of kinematics_interface for tests to work. We use kinematics_interface_kdl implementation in the tests.
  * Fix parameter library export (#448 <https://github.com/ros-controls/ros2_controllers/issues/448>)
  * Add generic admittance controller for TCP wrenches (#370 <https://github.com/ros-controls/ros2_controllers/issues/370>)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
    Co-authored-by: Denis Štogl <mailto:denis@stoglrobotics.de>
  * Contributors: Bence Magyar, Denis Štogl, Paul Gesel, Tyler Weaver
  * Bring admittance_controller version up to speed
  * [AdmittanceController] Add missing dependecies for the tests (#465 <https://github.com/ros-controls/ros2_controllers/issues/465>)
    We need a concrete implementation of kinematics_interface for tests to work. We use kinematics_interface_kdl implementation in the tests.
  * Fix parameter library export (#448 <https://github.com/ros-controls/ros2_controllers/issues/448>)
  * Add generic admittance controller for TCP wrenches (#370 <https://github.com/ros-controls/ros2_controllers/issues/370>)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
    Co-authored-by: Denis Štogl <mailto:denis@stoglrobotics.de>
  * Contributors: Bence Magyar, Denis Štogl, Paul Gesel, Tyler Weaver

 -- Denis Štogl <denis@stogl.de>  Fri, 18 Nov 2022 00:00:00 -0000

ros-humble-admittance-controller (2.13.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Tue, 04 Oct 2022 23:00:00 -0000

ros-humble-admittance-controller (2.12.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Wed, 31 Aug 2022 23:00:00 -0000

ros-humble-admittance-controller (2.11.0-1jammy) jammy; urgency=high





=== debian/control ===
Source: ros-humble-admittance-controller
Section: misc
Priority: optional
Maintainer: Denis Štogl <denis@stogl.de>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-backward-ros, ros-humble-control-msgs, ros-humble-control-toolbox, ros-humble-controller-interface, ros-humble-controller-manager <!nocheck>, ros-humble-filters, ros-humble-generate-parameter-library, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-joint-trajectory-controller, ros-humble-kinematics-interface, ros-humble-kinematics-interface-kdl <!nocheck>, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-tf2, ros-humble-tf2-eigen, ros-humble-tf2-geometry-msgs, ros-humble-tf2-kdl, ros-humble-tf2-ros, ros-humble-trajectory-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-admittance-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-backward-ros, ros-humble-control-msgs, ros-humble-control-toolbox, ros-humble-controller-interface, ros-humble-filters, ros-humble-generate-parameter-library, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-joint-trajectory-controller, ros-humble-kinematics-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-realtime-tools, ros-humble-tf2, ros-humble-tf2-eigen, ros-humble-tf2-geometry-msgs, ros-humble-tf2-kdl, ros-humble-tf2-ros, ros-humble-trajectory-msgs, ros-humble-ros-workspace
Description: Implementation of admittance controllers for different input and output interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-admittance-controller//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-admittance-controller 2.37.0

=== debian/changelog ===
ros-humble-admittance-controller (2.37.0-1bookworm) bookworm; urgency=high

  * Fix WaitSet issue in tests  (backport #1206 <https://github.com/ros-controls/ros2_controllers/issues/1206>) (#1211 <https://github.com/ros-controls/ros2_controllers/issues/1211>)
  * Contributors: mergify[bot]

 -- Denis Štogl <denis@stogl.de>  Tue, 23 Jul 2024 16:00:00 -0000

ros-humble-admittance-controller (2.36.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-admittance-controller (2.35.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Tue, 21 May 2024 16:00:00 -0000

ros-humble-admittance-controller (2.34.0-1bookworm) bookworm; urgency=high

  * Use CMake target for eigen (#1058 <https://github.com/ros-controls/ros2_controllers/issues/1058>) (#1066 <https://github.com/ros-controls/ros2_controllers/issues/1066>)
  * Let sphinx add parameter description with nested structures to documentation (backport #652 <https://github.com/ros-controls/ros2_controllers/issues/652>) (#1005 <https://github.com/ros-controls/ros2_controllers/issues/1005>)
  * Contributors: mergify[bot]

 -- Denis Štogl <denis@stogl.de>  Sun, 31 Mar 2024 16:00:00 -0000

ros-humble-admittance-controller (2.33.0-1bookworm) bookworm; urgency=high

  * Add test_depend on hardware_interface_testing (backport #1018 <https://github.com/ros-controls/ros2_controllers/issues/1018>) (#1019 <https://github.com/ros-controls/ros2_controllers/issues/1019>)
  * Add tests for interface_configuration_type consistently (#899 <https://github.com/ros-controls/ros2_controllers/issues/899>) (#1011 <https://github.com/ros-controls/ros2_controllers/issues/1011>)
  * Contributors: mergify[bot]

 -- Denis Štogl <denis@stogl.de>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-admittance-controller (2.32.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Fri, 19 Jan 2024 16:00:00 -0000

ros-humble-admittance-controller (2.31.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Wed, 10 Jan 2024 16:00:00 -0000

ros-humble-admittance-controller (2.30.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Tue, 19 Dec 2023 16:00:00 -0000

ros-humble-admittance-controller (2.29.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Mon, 04 Dec 2023 16:00:00 -0000

ros-humble-admittance-controller (2.28.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Wed, 29 Nov 2023 16:00:00 -0000

ros-humble-admittance-controller (2.27.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-admittance-controller (2.26.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Mon, 02 Oct 2023 16:00:00 -0000

ros-humble-admittance-controller (2.25.0-1bookworm) bookworm; urgency=high

  * Update docs for diff drive controller (#751 <https://github.com/ros-controls/ros2_controllers/issues/751>) (#753 <https://github.com/ros-controls/ros2_controllers/issues/753>)
  * Contributors: Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Thu, 14 Sep 2023 16:00:00 -0000

ros-humble-admittance-controller (2.24.0-1bookworm) bookworm; urgency=high

  * Activate AdmittanceControllerTestParameterizedInvalidParameters (#711 <https://github.com/ros-controls/ros2_controllers/issues/711>) (#733 <https://github.com/ros-controls/ros2_controllers/issues/733>)
  * Fix file name for include guard (backport #681 <https://github.com/ros-controls/ros2_controllers/issues/681>)
  * Fix out of bound access in admittance controller (#721 <https://github.com/ros-controls/ros2_controllers/issues/721>) (#722 <https://github.com/ros-controls/ros2_controllers/issues/722>)
  * Contributors: Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Sun, 06 Aug 2023 16:00:00 -0000

ros-humble-admittance-controller (2.23.0-1bookworm) bookworm; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>) (#677 <https://github.com/ros-controls/ros2_controllers/issues/677>)
  * Contributors: Bence Magyar

 -- Denis Štogl <denis@stogl.de>  Thu, 22 Jun 2023 16:00:00 -0000

ros-humble-admittance-controller (2.22.0-1bookworm) bookworm; urgency=high

  * Docs: Use branch name substitution for all links (backport #618 <https://github.com/ros-controls/ros2_controllers/issues/618>) (#633 <https://github.com/ros-controls/ros2_controllers/issues/633>)
  * [JTC] Fix missing parameter deprecation warnings (#630 <https://github.com/ros-controls/ros2_controllers/issues/630>)
  * [Formatting] enable ReflowComments to also use ColumnLimit on comments   (#628 <https://github.com/ros-controls/ros2_controllers/issues/628>)
  * Contributors: Noel Jiménez García, Sai Kishor Kothakota, Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Tue, 13 Jun 2023 16:00:00 -0000

ros-humble-admittance-controller (2.21.0-1bookworm) bookworm; urgency=high

  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>) (#617 <https://github.com/ros-controls/ros2_controllers/issues/617>)
  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>) (#605 <https://github.com/ros-controls/ros2_controllers/issues/605>)
  * Contributors: Felix Exner (fexner), Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Sat, 27 May 2023 16:00:00 -0000

ros-humble-admittance-controller (2.20.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Sat, 13 May 2023 16:00:00 -0000

ros-humble-admittance-controller (2.19.0-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Mon, 01 May 2023 16:00:00 -0000

ros-humble-admittance-controller (2.18.0-1bookworm) bookworm; urgency=high

  * Fix docs format (#591 <https://github.com/ros-controls/ros2_controllers/issues/591>)
  * Contributors: Christoph Fröhlich



=== debian/control ===
Source: ros-humble-admittance-controller
Section: misc
Priority: optional
Maintainer: Denis Štogl <denis@stogl.de>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-backward-ros, ros-humble-control-msgs, ros-humble-control-toolbox, ros-humble-controller-interface, ros-humble-controller-manager <!nocheck>, ros-humble-filters, ros-humble-generate-parameter-library, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-hardware-interface-testing <!nocheck>, ros-humble-joint-trajectory-controller, ros-humble-kinematics-interface, ros-humble-kinematics-interface-kdl <!nocheck>, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-tf2, ros-humble-tf2-eigen, ros-humble-tf2-geometry-msgs, ros-humble-tf2-kdl, ros-humble-tf2-ros, ros-humble-trajectory-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-admittance-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-backward-ros, ros-humble-control-msgs, ros-humble-control-toolbox, ros-humble-controller-interface, ros-humble-filters, ros-humble-generate-parameter-library, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-joint-trajectory-controller, ros-humble-kinematics-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-realtime-tools, ros-humble-tf2, ros-humble-tf2-eigen, ros-humble-tf2-geometry-msgs, ros-humble-tf2-kdl, ros-humble-tf2-ros, ros-humble-trajectory-msgs, ros-humble-ros-workspace
Description: Implementation of admittance controllers for different input and output interface.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-admittance-controller//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-admittance-controller//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-admittance-controller//opt/ros/humble/opt/admittance_controller/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-admittance-controller 2.37.3

=== debian/changelog ===
ros-humble-admittance-controller (2.37.3-1bookworm) bookworm; urgency=high



 -- Denis Štogl <denis@stogl.de>  Tue, 10 Sep 2024 16:00:00 -0000

ros-humble-admittance-controller (2.37.2-1bookworm) bookworm; urgency=high

  * Fix segfault at reconfigure of AdmittanceController (#1248 <https://github.com/ros-controls/ros2_controllers/issues/1248>) (#1265 <https://github.com/ros-controls/ros2_controllers/issues/1265>)
  * Contributors: mergify[bot]

 -- Denis Štogl <denis@stogl.de>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-admittance-controller (2.37.1-1bookworm) bookworm; urgency=high

  * Fix admittance controller interface read/write logic (backport #1232 <https://github.com/ros-controls/ros2_controllers/issues/1232>) (#1234 <https://github.com/ros-controls/ros2_controllers/issues/1234>)
  * Contributors: mergify[bot]

 -- Denis Štogl <denis@stogl.de>  Tue, 13 Aug 2024 16:00:00 -0000
